<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:java="http://xml.apache.org/xslt/java"
	xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
	xmlns:gslib="http://www.greenstone.org/skinning"
	xmlns:gsf="http://www.greenstone.org/greenstone3/schema/ConfigFormat" 
	extension-element-prefixes="java util"
	exclude-result-prefixes="java util">

	<!-- use the 'main' layout -->
	<xsl:include href="layouts/main.xsl"/>

	<!-- set page title -->
	<xsl:template name="pageTitle"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'favourites.title')"/></xsl:template>

	<!-- set page breadcrumbs -->
	<xsl:template name="breadcrumbs"><gslib:siteLink/><gslib:rightArrow/> <gslib:collectionNameLinked/><gslib:rightArrow/></xsl:template>

	<!-- the page content -->
	<xsl:template match="/page">
	  <gsf:variable name="selected_favourite_icon_url">interfaces/<xsl:value-of select="$interface_name"/>/images/<xsl:value-of select="$selected_favourite_icon"/></gsf:variable>
	  <gsf:variable name="unselected_favourite_icon_url">interfaces/<xsl:value-of select="$interface_name"/>/images/<xsl:value-of select="$unselected_favourite_icon"/></gsf:variable>

	  <gslib:langfrag name="favourites"/>
		<xsl:variable name="clusterName"><xsl:value-of select="/page/pageRequest/paramList/param[@name='c']/@value"/></xsl:variable>
		<script type="text/javascript" src="interfaces/{$interface_name}/js/favouritebasket/favouritecheckout.js"><xsl:text> </xsl:text></script>
		<xsl:call-template name="customJavascript"/>
		<xsl:call-template name="customCSS"/>
		<script type="text/javascript">
			<xsl:text disable-output-escaping="yes">
				var doc;
				var docList = new Array();
			</xsl:text>
			<xsl:for-each select="/page/pageResponse/favouriteList/item">
				<xsl:text disable-output-escaping="yes">doc = new Array();</xsl:text>
				<xsl:for-each select="@*">
					<xsl:text disable-output-escaping="yes">doc["</xsl:text>
					<xsl:value-of select="name()" />
					<xsl:text disable-output-escaping="yes">"]='</xsl:text>
					<xsl:value-of select="." />
					<xsl:text disable-output-escaping="yes">';</xsl:text>
				</xsl:for-each>
				<xsl:text disable-output-escaping="yes">docList[</xsl:text>
				<xsl:value-of select="position()-1"/>
				<xsl:text>] = doc;</xsl:text>
			</xsl:for-each>
		</script>

		<table class="navList" id="berryCheckoutOptions">
			<tr>
				<td id="fullview" class="current"><span><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'favourites.full_view')"/></span></td>
				<td id="textview"><span><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'favourites.text_view')"/></span></td>
				<td id="email"><span><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'favourites.email_view')"/></span></td>
			</tr>
			<div class="clear"><xsl:text> </xsl:text></div>
		</table>

		<div id="berryBasketContent"><span><xsl:text> </xsl:text></span></div>
		
		<div id="delOptions"> 
                  <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'favourites.delete_help')"/> <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'favourites.delete_else')"/><xsl:text>  </xsl:text>
		  
		  <style> #bbdeleteallbutton:hover { background-color: #773030;}</style>
		  <div id="bbdeleteallbutton" class="ui-button ui-widget ui-state-default ui-corner-all" 
		       style="color: white; padding: 5px;" onclick="deleteAll()">
		    <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'favourites.delete_all')"/>
		  </div>
		</div>

	</xsl:template>

	<xsl:template name="customJavascript">
	</xsl:template>

	<xsl:template name="customCSS">
	</xsl:template>

</xsl:stylesheet>  

